Problems Netbeans 6.5 (QueryUtil.getQuery)

Help
2009-05-05
2012-12-13
  • Hi,

    All demos with the method "QueryUtil.getQuery" call a exception. For exemple, in demo4 i have the exception:

    ==================
    java.lang.RuntimeException: Uncompilable source code
            at demo4.GridFrameController.loadData(GridFrameController.java:96)
            at org.openswing.swing.table.client.Grids.loadData(Grids.java:1697)
            at org.openswing.swing.table.client.Grids.access$400(Grids.java:58)
            at org.openswing.swing.table.client.Grids$LoadDataThread.run(Grids.java:3717)
    ==================

    This occur only in NetBeans. In Eclipse, in same computer, with same JDK works verywell.

    Whats the problem with NetBeans?

    Thanks

     
    • The same error occurred in another computer.

      I used:

      - NetBeans 6.5
      - demo4
      - Java 6.0.10

      I tested in Eclipe and works. Where the problem in Netbeans?

      Thanks

       
    • mcarniel
      mcarniel
      2009-05-09

      Please provide me more info: which libraries EXACTLY have you added to the project related to demo4?
      Which version of OpenSwing are you using?
      Have you added srcserveros.jar or srcclientos.jar to project library settings???

       
    • Ok,

      Im using these libraries:

      - all libraries of build folder the openswing;
      - servlet-api.jar (from tomcat/lib folder);

      the same libraries in Eclipes works.

      Im using OpenSwing 2.0, but i tested in 1.8 and 1.9 and occur the same problem.

      More:

      The message complete in a dialog in Netbeans is:

      ===================================================
      Error loading data:
      Uncompilable source code - imcompatible types
      found: org.openswing.swing.server.QueryUtil.getQuey
      required: org.openswing.swing.message.receive.java.Response
      ===================================================

      if you install the netbeans and try execute the demo4 will get the error.

      Thanks

       
      • Jan van Lit
        Jan van Lit
        2009-05-11

        I have seen this problem before when servlet-api.jar is not included, try to clean and build the source (shift-F11). That gives a better error message about missing jars.

         
    • Works!

      Conclusion: this occur when the JAR servlet-api.jar is missing in project!

      Thanks a lot.